Skip to main content
GET
/
vesting
/
balances
/
{allocationId}
Get vesting balances for an allocation
curl --request GET \
  --url https://api.anchorage-staging.com/v2/vesting/balances/{allocationId} \
  --header 'Api-Access-Key: <api-key>'
{
  "balance": {
    "assetType": "BTC",
    "availableBalance": "1000.50000000",
    "externalTokenId": "magna_token_123",
    "lockedBalance": "100.10000000",
    "networkId": "ETHHOODI",
    "unvestedBalance": "500.25000000"
  },
  "walletInfo": {
    "address": "0x1234567890abcdef...",
    "walletId": "3d293c0d64c703023692216e9b4f5280"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

allocationId
string
required

The ID of the allocation to get vesting balances for

Query Parameters

stakeholderId
string

The external stakeholder ID (optional, used to retrieve wallet info when no transactions exist yet)

Response

Vesting balances for the specified allocation

balance
VestingBalance · object
required
walletInfo
WalletInfo · object
required